#ifndef TEST_GLOBAL_SETTINGS_H
#define TEST_GLOBAL_SETTINGS_H

#include <QObject>
#include <QVariant>
#include <QMap>

#define TABLET_MODE "tablet-mode"

namespace Sidebar {

class GlobalSettings : public QObject
{
    Q_OBJECT
public:
    static GlobalSettings *globalInstance(QObject *parent = nullptr);
    QVariant getValue(const QString &key) const;
    void setValue(const QString &key, const QVariant &value);

Q_SIGNALS:
    void valueChanged(const QString &key);

private:
    explicit GlobalSettings(QObject *parent = nullptr);
    QMap<QString, QVariant> m_values;
};

} // namespace Sidebar

#endif
